Skip to content

Get sales ​

GET
/v1/marketplace/my-sales

Gets a list with tickets for a specific event. Filters can optionally be applied

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
purchase_source

Filter by purchase source (marketplace, supplier, relisting)

Type
string
bookingorder_id

Filter by bookingorder_id

Type
string

Responses​

OK

application/json
JSON
{
  
"sales": [
  
  
{
  
  
  
"purchaseorder_id": null,
  
  
  
"purchase_date": null,
  
  
  
"reference_number": null,
  
  
  
"purchaseorder_status": null,
  
  
  
"invoices": [
  
  
  
],
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"ticket_id": null,
  
  
  
  
  
"ticket_name": null,
  
  
  
  
  
"event_name": null,
  
  
  
  
  
"ticket_startdate": null,
  
  
  
  
  
"ticket_stopdate": null,
  
  
  
  
  
"costprice_eur": null,
  
  
  
  
  
"costprice": null,
  
  
  
  
  
"currency": null,
  
  
  
  
  
"quantity": null,
  
  
  
  
  
"vat_category": null,
  
  
  
  
  
"use_allocation": null,
  
  
  
  
  
"purchaseorderitem_id": null,
  
  
  
  
  
"event_id": null,
  
  
  
  
  
"event_startdate": null,
  
  
  
  
  
"event_stopdate": null,
  
  
  
  
  
"season": null,
  
  
  
  
  
"tournament_name": null,
  
  
  
  
  
"category_id": null,
  
  
  
  
  
"category_name": null
  
  
  
  
}
  
  
  
],
  
  
  
"event_id": null,
  
  
  
"event_name": null,
  
  
  
"event_startdate": null,
  
  
  
"event_stopdate": null,
  
  
  
"season": null,
  
  
  
"tournament_name": null,
  
  
  
"purchase_source": null,
  
  
  
"booking_code": null,
  
  
  
"bookingorder_id": null,
  
  
  
"linked_purchaseorders": [
  
  
  
  
{
  
  
  
  
  
"purchaseorder_id": "string",
  
  
  
  
  
"reference_number": "string"
  
  
  
  
}
  
  
  
]
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​